<script lang="ts">
import Vue from 'vue';

import { RESOURCE_ICON_PATH } from '../../common/constants';

export default Vue.extend({
  name: 'MarketResearch',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
  computed: {
    resourceIcon() {
      return RESOURCE_ICON_PATH;
    },
  },
});
</script>
<template>
  <SlpContainer>
    <div class="container">
      <SlpTypography
        class="container__title"
        variant="heading2-bold"
        tag="h2"
        >{{ data.title }}</SlpTypography
      >
      <div class="horizontal-rule"></div>
      <div class="grid">
        <div
          v-for="(report, index) in data.reports"
          :key="report.description + `-${index}`"
          class="grid__card"
        >
          <div class="grid__card-content">
            <div class="grid__card-content-text">
              <div class="grid__card-content-logo slp-mb-16">
                <img :src="report.logo" :alt="report.logo_alt" />
              </div>
              <SlpTypography
                variant="body1-bold"
                tag="p"
                class="grid__card-content-name"
              >
                {{ report.name }}
              </SlpTypography>
            </div>
            <div class="grid__card-content-links">
              <a
                class="grid__card-content-link desktop-only"
                :href="report.cta_url"
                :data-ga-name="report.cta_data_ga_name"
                :data-ga-location="report.cta_data_ga_location"
                :aria-label="report.cta_data_ga_name"
                ><SlpTypography
                  tag="span"
                  variant="body1-bold"
                  class="learn-more"
                  >{{ $t('learnMore') }}
                  <SlpIcon
                    class="learn-more-icon"
                    name="chevron-lg-right"
                    variant="product"
                  />
                </SlpTypography>
              </a>
              <a
                class="grid__card-content-link mobile-only"
                :href="report.cta_url"
                :data-ga-name="report.cta_data_ga_name"
                :data-ga-location="report.cta_data_ga_location"
                :aria-label="report.cta_data_ga_name"
                ><SlpTypography
                  tag="span"
                  variant="body1-bold"
                  class="learn-more"
                  >{{ $t('learnMore') }}
                  <SlpIcon
                    class="learn-more-icon"
                    name="chevron-lg-right"
                    variant="product"
                  />
                </SlpTypography>
              </a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </SlpContainer>
</template>
<style lang="scss" scoped>
.container {
  display: flex;
  flex-direction: column;
  margin: $spacing-64 0 120px 0;
  max-width: 1110px;
  &__title {
    margin-bottom: 40px;
    @media screen and (max-width: $breakpoint-sm) {
      font-size: 40px !important;
    }
  }
}
.horizontal-rule {
  border-top: 1px solid $color-surface-300;
  width: 100%;
}
.grid {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding: 40px 0 24px;
  &__card {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    height: fit-content;
    padding: 24px 16px;
    width: 100%;

    &-content {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      width: 100%;
      position: relative;
      &-link {
        position: absolute;
        bottom: 28px;
        right: 3px;
      }
    }

    &:hover {
      background: #f6f3fe;
      border-radius: 4px 4px 40px 4px;
      .learn-more {
        text-decoration: underline;
        &-icon {
          transform: translate(7px, 2px);
        }
      }
    }

    a {
      color: #171321;
    }
    .learn-more {
      transition: all 0.2s ease-in-out;
      display: flex;
      &-icon {
        transition: all 0.2s ease-in-out;
        transform: translate(4px, 2px);
      }
    }
    @media screen and (max-width: 1100px) {
      display: flex;
      flex-direction: column;
      align-items: flex-start;
      height: fit-content;
      &-content {
        position: static;
        display: flex;
        flex-direction: column;
        &-description {
          font-size: 22px;
          line-height: 28px;
        }
        &-link {
          position: static;
          bottom: 0;
          margin: 32px 0 20px 0;
        }
      }
    }
    @media (min-width: $breakpoint-md) {
      flex-direction: row;
    }
  }

  @media (min-width: $breakpoint-md) {
    flex-direction: row;
    flex-wrap: wrap;
  }
}
.desktop-only {
  display: none;
  @media (min-width: $breakpoint-md) {
    display: block;
  }
}
.mobile-only {
  display: none;
  @media (max-width: $breakpoint-md) {
    display: block;
  }
}
</style>
